{ config, libs, pkgs, ... }:

{
  imports = [
  ];

  environment.systemPackages = with pkgs; [
    # network toolbox
    arp-scan
    iperf
    iptraf-ng
    nload
    openvpn
    quagga
    telnet
    tinc

    # Multimedia
    audacity
    beep
    cmus
    easytag
    kde4.digikam

    aspell
    cargo
    chromium
    clawsMail
    cloc
    cowsay
    curlftpfs
    dia
    docker
    espeak
    filezilla
    firefox
    freecad
    freemind
    fritzing
    gimp
    git-cola
    gnome3.seahorse
    gnumeric
    gnuplot
    gparted
    gpm
    graphviz
    idea.idea-community
    inkscape
    inotify-tools
    iotop
    jekyll
    josm
    kde5.okular
    kde5.quasselClient
    kicad
    linuxPackages.virtualbox
    linuxPackages.virtualboxGuestAdditions
    lm_sensors
    lshw
    lsof
    lyx
    lz4
    lzop
    mcomix
    meld
    mercurial
    mumble
    mutt
    nfs-utils
    ntfs3g
    ntp
    pandoc
    paprefs
    pass
    pavucontrol
    pdfpc
    pgadmin
    picard
    pidgin
    postfix
    powerline-fonts
    powertop
    pwgen
    python27Packages.docker_compose
    python27Packages.turses
    python27Packages.ansible2
    python27Packages.glances
    qpdfview
    qucs
    rustPlatform.rustc
    sakura
    samba
    slock
    smplayer
    spaceFM
    sqlitebrowser
    sshfsFuse
    stack
    subversion
    taskwarrior
    texLiveFull
    thunderbird
    transmission_gtk
    transmission_remote_gtk
    udevil
    unbound
    unetbootin
    usbutils
    vbindiff
    vifm
    viking
    vim
    vlc
    vorbis-tools
    vsftpd
    whois
    wireshark
    wmname
    yubikey-personalization-gui
    zim
  ];

  nixpkgs.config.packageOverrides = pkgs: {
    clawsMail = pkgs.clawsMail.override { enablePluginFancy = true; };
    mumble = pkgs.mumble.override { pulseSupport = true; };
  };

  # Enable the X11 windowing system.
  services.xserver = {
    enable = true;
    layout = "fr";
    xkbOptions = "eurosign:e";
    displayManager.lightdm.enable = true;
    windowManager.awesome.enable = true;
    startGnuPGAgent = true;
    startOpenSSHAgent = false; # pas compatible avec l'agent GnuPG
  };

  hardware.pulseaudio = {
    enable = true;
    support32Bit = true;
  };
  environment.etc."pulse/daemon.conf".text = "flat-volumes = no";
}
